start

# podebug

Marks PO messages so that it is easy to reference and locate strings when your translated application is running.

Use it to:

- Target your translations: see what files are being referenced for string appearing in your programs.
- Debug translations: if you know in what file the message occurs then you can quickly find it and fix it.

## Usage

    podebug [options] [-f format] <in> <out>

Where:

-f | is an optional format strings. The default format is “[%s]”
<in> | is an input directory or PO file
<out> | is an output directory or PO files, if missing output will be to standard out.

Options:

--version | show program’s version number and exit
-h, --help | show this help message and exit
--manpage | output a manpage based on the help
--progress=PROGRESS | show progress as: dots, none, bar, names, verbose
--errorlevel=ERRORLEVEL | show errorlevel as: none, message, exception, traceback
-iINPUT, --input=INPUT | read from INPUT in po, pot formats
-xEXCLUDE, --exclude=EXCLUDE | exclude names matching EXCLUDE from input paths
-oOUTPUT, --output=OUTPUT | write to OUTPUT in po, pot formats
--psyco=MODE | use psyco to speed up the operation, modes: none, full, profile
-P, --pot | output PO Templates (.pot) rather than PO files (.po)
-fFORMAT, --format=FORMAT | specify format string

## Formats

A format string can have these various options:

f | full filename including directory
F | as %f but with .po file extension
b | base of filename
B | base of filename with .po file extension
d | directory name
s | preset OpenOffice.org modifier
c | use only consonants
N | a set number of characters

A format string may look like this:

- “%cf” - the full filename without vowels
- “[%10cb] " - the first ten character after compressing the base of the filename and place it in square brackets with a space before the real message
- “[%5cd - %cB] " - the first 5 consonents of the directory, followed by a dash then the consonents of the filename with a .po extension. All surrounded by square brankets with a space before the translations.

Complex format strings may make it too difficult to actually read the translation, so you are probably best served using as short a string as possible.

## Bugs

Marking exceptions are hardcoded for OpenOffice.org. They should be configurable for any application.